Subject: bug#15168: mkdir alway creates a file instead a direktory if it is run trough a sub sub shell

From: Assaf Gordon <[email-masked]>
Date: Tue, 23 Oct 2018 16:53:56 -0600

close 15168
stop

(triaging old bugs)

On 24/08/13 12:46 PM, Bob Proulx wrote:
> horvan dillus wrote:
>> For a better ovvervie  I'll post the  4 scripts I mentioned above:
> 
[...]
> First, those "*" characters, what are they?  Two are on a line by
> itself.  You said you marked a line.  I think you confused things
> terribly when you did that.  Because "*" is special to the shell.  It
> is a file glob.  The shell expands it to match a glob of characters.
> This makes it data dependent.  When you have lines with only a "*" in
> the script on that line then what happens depends upon what files are
> in the current directory.
[...]
> 
>> There are more scripts of course I hope this will be enough information to
>> exermain if this is really a bug.
> 
> I expect you will find that mkdir is making directories.  If you are
> seeing it to be a file then I expect you will find that it was already
> a file before the mkdir.  I expect that ls command will show that
> there was a file present and then the mkdir fails.
> 

With no further comments in 5 years, I'm closing this bug.

-assaf